{ config, pkgs, ... }:

let
  secrets = import ../../../secrets;
  funkwhale = secrets.funkwhale.applications."${config.networking.hostName}";
in {
  config = {
    environment.systemPackages = with pkgs; [ cantata ];

    services.mopidy = {
      #enable = true;
      configuration = ''
      [funkwhale]
      enabled = true
      url = https://audio.polynom.me
      client_id = ${funkwhale.client_id}
      client_secret = ${funkwhale.client_secret}
      cache_duration = 600

      [mpd]
      enabled = true;
    '';
      extensionPackages = with pkgs; [
        mopidy-mpd mopidy-funkwhale
      ];
    };
  };
}
