{ stdenv
, lib
, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "gnome-shell-extension-notification-timeout";
  version = "unstable-2021-07-25";

  src = fetchFromGitHub {
    owner = "vchlum";
    repo = "notification-timeout";
    rev = "1f8c2a433383f974bd49869db5ae7a6d7a82d302";
    sha256 = "1ndr8gn52qggq45lbdc5miz62is8im34nzmzsghcnarrm73naq59";
  };

  uuid = "notification-timeout@chlumskyvaclav.gmail.com";

  dontBuild = true;

  installPhase = ''
    mkdir -p $out/share/gnome-shell/extensions/${uuid}
    cp -r metadata.json extension.js prefs.js schemas/ $out/share/gnome-shell/extensions/${uuid}
  '';

  meta = with lib; {
    description = "Gnome Shell extension for configuring notification timeout. ";
    homepage = "https://github.com/vchlum/notification-timeout";
    license = licenses.mit;
    maintainers = [ ];
  };
}
